This project is read-only.

Mono Bundle Runtime getInstance Error

May 5, 2015 at 11:00 PM
__Is it possible to run OSGI.NET under Mono?
I get always the same error message while starting osgi.net under mono xsp4.__


Server Error in '/' Application

Invalid IL code in UIShell.OSGi.BundleRuntime:get_Instance (): IL_0002: pop

Description: HTTP 500. Error processing request.

Stack Trace:

System.InvalidProgramException: Invalid IL code in UIShell.OSGi.BundleRuntime:get_Instance (): IL_0002: pop


at UIShell.OSGi.MvcCore.BundleRuntimeViewEngine..ctor (IBundleViewEngineFactory viewEngineFactory) [0x00000] in <filename unknown>:0
at Shell.MvcApplication.Application_Start () [0x00000] in <filename unknown>:0
at (wrapper managed-to-native) System.Reflection.MonoMethod:InternalInvoke (System.Reflection.MonoMethod,object,object[],System.Exception&)
at System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) [0x00000] in <filename unknown>:0
Version information: Mono Runtime Version: 2.10.8.1 (Debian 2.10.8.1-8+deb7u1); ASP.NET Version: 4.0.30319.1
May 25, 2015 at 6:23 AM
CFeldmeier wrote:
__Is it possible to run OSGI.NET under Mono?
No, it doesn't support mono yet, but we have the plan to open source, please wait and see :)